TQScintilla: TQextScintillaLexerHTML Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerHTML Class Reference

The TQextScintillaLexerHTML class encapsulates the Scintilla HTML lexer. More...

`#include <tqextscintillalexerhtml.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Tag = 1
- UnknownTag = 2
- Attribute = 3
- UnknownAttribute = 4
- HTMLNumber = 5
- HTMLDoubleQuotedString = 6
- HTMLSingleQuotedString = 7
- OtherInTag = 8
- HTMLComment = 9
- Entity = 10
- XMLTagEnd = 11
- XMLStart = 12
- XMLEnd = 13
- Script = 14
- ASPAtStart = 15
- ASPStart = 16
- CDATA = 17
- PHPStart = 18
- HTMLValue = 19
- ASPXCComment = 20
- SGMLDefault = 21
- SGMLCommand = 22
- SGMLParameter = 23
- SGMLDoubleQuotedString = 24
- SGMLSingleQuotedString = 25
- SGMLError = 26
- SGMLSpecial = 27
- SGMLEntity = 28
- SGMLComment = 29
- SGMLParameterComment = 30
- SGMLBlockDefault = 31
- JavaScriptStart = 40
- JavaScriptDefault = 41
- JavaScriptComment = 42
- JavaScriptCommentLine = 43
- JavaScriptCommentDoc = 44
- JavaScriptNumber = 45
- JavaScriptWord = 46
- JavaScriptKeyword = 47
- JavaScriptDoubleQuotedString = 48
- JavaScriptSingleQuotedString = 49
- JavaScriptSymbol = 50
- JavaScriptUnclosedString = 51
- JavaScriptRegex = 52
- ASPJavaScriptStart = 55
- ASPJavaScriptDefault = 56
- ASPJavaScriptComment = 57
- ASPJavaScriptCommentLine = 58
- ASPJavaScriptCommentDoc = 59
- ASPJavaScriptNumber = 60
- ASPJavaScriptWord = 61
- ASPJavaScriptKeyword = 62
- ASPJavaScriptDoubleQuotedString = 63
- ASPJavaScriptSingleQuotedString = 64
- ASPJavaScriptSymbol = 65
- ASPJavaScriptUnclosedString = 66
- ASPJavaScriptRegex = 67
- VBScriptStart = 70
- VBScriptDefault = 71
- VBScriptComment = 72
- VBScriptNumber = 73
- VBScriptKeyword = 74
- VBScriptString = 75
- VBScriptIdentifier = 76
- VBScriptUnclosedString = 77
- ASPVBScriptStart = 80
- ASPVBScriptDefault = 81
- ASPVBScriptComment = 82
- ASPVBScriptNumber = 83
- ASPVBScriptKeyword = 84
- ASPVBScriptString = 85
- ASPVBScriptIdentifier = 86
- ASPVBScriptUnclosedString = 87
- PythonStart = 90
- PythonDefault = 91
- PythonComment = 92
- PythonNumber = 93
- PythonDoubleQuotedString = 94
- PythonSingleQuotedString = 95
- PythonKeyword = 96
- PythonTripleSingleQuotedString = 97
- PythonTripleDoubleQuotedString = 98
- PythonClassName = 99
- PythonFunctionMethodName = 100
- PythonOperator = 101
- PythonIdentifier = 102
- ASPPythonStart = 105
- ASPPythonDefault = 106
- ASPPythonComment = 107
- ASPPythonNumber = 108
- ASPPythonDoubleQuotedString = 109
- ASPPythonSingleQuotedString = 110
- ASPPythonKeyword = 111
- ASPPythonTripleSingleQuotedString = 112
- ASPPythonTripleDoubleQuotedString = 113
- ASPPythonClassName = 114
- ASPPythonFunctionMethodName = 115
- ASPPythonOperator = 116
- ASPPythonIdentifier = 117
- PHPDefault = 118
- PHPDoubleQuotedString = 119
- PHPSingleQuotedString = 120
- PHPKeyword = 121
- PHPNumber = 122
- PHPVariable = 123
- PHPComment = 124
- PHPCommentLine = 125
- PHPDoubleQuotedVariable = 126
- PHPOperator = 127
- enum {
  Default = 0, Tag = 1, UnknownTag = 2,
  Attribute = 3, UnknownAttribute = 4, HTMLNumber = 5,
  HTMLDoubleQuotedString = 6, HTMLSingleQuotedString = 7, OtherInTag = 8,
  HTMLComment = 9, Entity = 10, XMLTagEnd = 11,
  XMLStart = 12, XMLEnd = 13, Script = 14,
  ASPAtStart = 15, ASPStart = 16, CDATA = 17,
  PHPStart = 18, HTMLValue = 19, ASPXCComment = 20,
  SGMLDefault = 21, SGMLCommand = 22, SGMLParameter = 23,
  SGMLDoubleQuotedString = 24, SGMLSingleQuotedString = 25, SGMLError = 26,
  SGMLSpecial = 27, SGMLEntity = 28, SGMLComment = 29,
  SGMLParameterComment = 30, SGMLBlockDefault = 31, JavaScriptStart = 40,
  JavaScriptDefault = 41, JavaScriptComment = 42, JavaScriptCommentLine = 43,
  JavaScriptCommentDoc = 44, JavaScriptNumber = 45, JavaScriptWord = 46,
  JavaScriptKeyword = 47, JavaScriptDoubleQuotedString = 48, JavaScriptSingleQuotedString = 49,
  JavaScriptSymbol = 50, JavaScriptUnclosedString = 51, JavaScriptRegex = 52,
  ASPJavaScriptStart = 55, ASPJavaScriptDefault = 56, ASPJavaScriptComment = 57,
  ASPJavaScriptCommentLine = 58, ASPJavaScriptCommentDoc = 59, ASPJavaScriptNumber = 60,
  ASPJavaScriptWord = 61, ASPJavaScriptKeyword = 62, ASPJavaScriptDoubleQuotedString = 63,
  ASPJavaScriptSingleQuotedString = 64, ASPJavaScriptSymbol = 65, ASPJavaScriptUnclosedString = 66,
  ASPJavaScriptRegex = 67, VBScriptStart = 70, VBScriptDefault = 71,
  VBScriptComment = 72, VBScriptNumber = 73, VBScriptKeyword = 74,
  VBScriptString = 75, VBScriptIdentifier = 76, VBScriptUnclosedString = 77,
  ASPVBScriptStart = 80, ASPVBScriptDefault = 81, ASPVBScriptComment = 82,
  ASPVBScriptNumber = 83, ASPVBScriptKeyword = 84, ASPVBScriptString = 85,
  ASPVBScriptIdentifier = 86, ASPVBScriptUnclosedString = 87, PythonStart = 90,
  PythonDefault = 91, PythonComment = 92, PythonNumber = 93,
  PythonDoubleQuotedString = 94, PythonSingleQuotedString = 95, PythonKeyword = 96,
  PythonTripleSingleQuotedString = 97, PythonTripleDoubleQuotedString = 98, PythonClassName = 99,
  PythonFunctionMethodName = 100, PythonOperator = 101, PythonIdentifier = 102,
  ASPPythonStart = 105, ASPPythonDefault = 106, ASPPythonComment = 107,
  ASPPythonNumber = 108, ASPPythonDoubleQuotedString = 109, ASPPythonSingleQuotedString = 110,
  ASPPythonKeyword = 111, ASPPythonTripleSingleQuotedString = 112, ASPPythonTripleDoubleQuotedString = 113,
  ASPPythonClassName = 114, ASPPythonFunctionMethodName = 115, ASPPythonOperator = 116,
  ASPPythonIdentifier = 117, PHPDefault = 118, PHPDoubleQuotedString = 119,
  PHPSingleQuotedString = 120, PHPKeyword = 121, PHPNumber = 122,
  PHPVariable = 123, PHPComment = 124, PHPCommentLine = 125,
  PHPDoubleQuotedVariable = 126, PHPOperator = 127
  }

## Public Slots

- virtual void setFoldCompact (bool fold)
- virtual void setFoldPreprocessor (bool fold)
- virtual void setCaseSensitiveTags (bool sens)

## Public Member Functions

- TQextScintillaLexerHTML (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerHTML ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldCompact () const
- bool foldPreprocessor () const
- bool caseSensitiveTags () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The TQextScintillaLexerHTML class encapsulates the Scintilla HTML lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the HTML lexer.

Enumerator:

  Default | The default.
  Tag | A tag.
  UnknownTag | An unknown tag.
  Attribute | An attribute.
  UnknownAttribute | An unknown attribute.
  HTMLNumber | An HTML number.
  HTMLDoubleQuotedString | An HTML double-quoted string.
  HTMLSingleQuotedString | An HTML single-quoted string.
  OtherInTag | Other text within a tag.
  HTMLComment | An HTML comment.
  Entity | An entity.
  XMLTagEnd | The end of an XML style tag.
  XMLStart | The start of an XML fragment.
  XMLEnd | The end of an XML fragment.
  Script | A script tag.
  ASPAtStart | The start of an ASP fragment with @.
  ASPStart | The start of an ASP fragment.
  CDATA | CDATA.
  PHPStart | The start of a PHP fragment.
  HTMLValue | An unquoted HTML value.
  ASPXCComment | An ASP X-Code comment.
  SGMLDefault | The default for SGML.
  SGMLCommand | An SGML command.
  SGMLParameter | The first parameter of an SGML command.
  SGMLDoubleQuotedString | An SGML double-quoted string.
  SGMLSingleQuotedString | An SGML single-quoted string.
  SGMLError | An SGML error.
  SGMLSpecial | An SGML special entity.
  SGMLEntity | An SGML entity.
  SGMLComment | An SGML comment.
  SGMLParameterComment | A comment with the first parameter of an SGML command.
  SGMLBlockDefault | The default for an SGML block.
  JavaScriptStart | The start of a JavaScript fragment.
  JavaScriptDefault | The default for JavaScript.
  JavaScriptComment | A JavaScript comment.
  JavaScriptCommentLine | A JavaScript line comment.
  JavaScriptCommentDoc | A JavaDoc style JavaScript comment.
  JavaScriptNumber | A JavaScript number.
  JavaScriptWord | A JavaScript word.
  JavaScriptKeyword | A JavaScript keyword.
  JavaScriptDoubleQuotedString | A JavaScript double-quoted string.
  JavaScriptSingleQuotedString | A JavaScript single-quoted string.
  JavaScriptSymbol | A JavaScript symbol.
  JavaScriptUnclosedString | The end of a JavaScript line where a string is not closed.
  JavaScriptRegex | A JavaScript regular expression.
  ASPJavaScriptStart | The start of an ASP JavaScript fragment.
  ASPJavaScriptDefault | The default for ASP JavaScript.
  ASPJavaScriptComment | An ASP JavaScript comment.
  ASPJavaScriptCommentLine | An ASP JavaScript line comment.
  ASPJavaScriptCommentDoc | An ASP JavaDoc style JavaScript comment.
  ASPJavaScriptNumber | An ASP JavaScript number.
  ASPJavaScriptWord | An ASP JavaScript word.
  ASPJavaScriptKeyword | An ASP JavaScript keyword.
  ASPJavaScriptDoubleQuotedString | An ASP JavaScript double-quoted string.
  ASPJavaScriptSingleQuotedString | An ASP JavaScript single-quoted string.
  ASPJavaScriptSymbol | An ASP JavaScript symbol.
  ASPJavaScriptUnclosedString | The end of an ASP JavaScript line where a string is not closed.
  ASPJavaScriptRegex | An ASP JavaScript regular expression.
  VBScriptStart | The start of a VBScript fragment.
  VBScriptDefault | The default for VBScript.
  VBScriptComment | A VBScript comment.
  VBScriptNumber | A VBScript number.
  VBScriptKeyword | A VBScript keyword.
  VBScriptString | A VBScript string.
  VBScriptIdentifier | A VBScript identifier.
  VBScriptUnclosedString | The end of a VBScript line where a string is not closed.
  ASPVBScriptStart | The start of an ASP VBScript fragment.
  ASPVBScriptDefault | The default for ASP VBScript.
  ASPVBScriptComment | An ASP VBScript comment.
  ASPVBScriptNumber | An ASP VBScript number.
  ASPVBScriptKeyword | An ASP VBScript keyword.
  ASPVBScriptString | An ASP VBScript string.
  ASPVBScriptIdentifier | An ASP VBScript identifier.
  ASPVBScriptUnclosedString | The end of an ASP VBScript line where a string is not closed.
  PythonStart | The start of a Python fragment.
  PythonDefault | The default for Python.
  PythonComment | A Python comment.
  PythonNumber | A Python number.
  PythonDoubleQuotedString | A Python double-quoted string.
  PythonSingleQuotedString | A Python single-quoted string.
  PythonKeyword | A Python keyword.
  PythonTripleSingleQuotedString | A Python triple single-quoted string.
  PythonTripleDoubleQuotedString | A Python triple double-quoted string.
  PythonClassName | The name of a Python class.
  PythonFunctionMethodName | The name of a Python function or method.
  PythonOperator | A Python operator.
  PythonIdentifier | A Python identifier.
  ASPPythonStart | The start of an ASP Python fragment.
  ASPPythonDefault | The default for ASP Python.
  ASPPythonComment | An ASP Python comment.
  ASPPythonNumber | An ASP Python number.
  ASPPythonDoubleQuotedString | An ASP Python double-quoted string.
  ASPPythonSingleQuotedString | An ASP Python single-quoted string.
  ASPPythonKeyword | An ASP Python keyword.
  ASPPythonTripleSingleQuotedString | An ASP Python triple single-quoted string.
  ASPPythonTripleDoubleQuotedString | An ASP Python triple double-quoted string.
  ASPPythonClassName | The name of an ASP Python class.
  ASPPythonFunctionMethodName | The name of an ASP Python function or method.
  ASPPythonOperator | An ASP Python operator.
  ASPPythonIdentifier | An ASP Python identifier.
  PHPDefault | The default for PHP.
  PHPDoubleQuotedString | A PHP double-quoted string.
  PHPSingleQuotedString | A PHP single-quoted string.
  PHPKeyword | A PHP keyword.
  PHPNumber | A PHP number.
  PHPVariable | A PHP variable.
  PHPComment | A PHP comment.
  PHPCommentLine | A PHP line comment.
  PHPDoubleQuotedVariable | A PHP double-quoted variable.
  PHPOperator | A PHP operator.

## Constructor & Destructor Documentation

TQextScintillaLexerHTML::TQextScintillaLexerHTML | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerHTML with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerHTML::~TQextScintillaLexerHTML | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerHTML instance.

## Member Function Documentation

const char* TQextScintillaLexerHTML::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerHTML::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerHTML::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerHTML::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerHTML::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

const char* TQextScintillaLexerHTML::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerHTML::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerHTML::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.

void TQextScintillaLexerHTML::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerHTML::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

bool TQextScintillaLexerHTML::foldPreprocessor | ( |  | ) | const

Returns true if preprocessor blocks can be folded.

See also:
  setFoldPreprocessor()

bool TQextScintillaLexerHTML::caseSensitiveTags | ( |  | ) | const

Returns true if tags are case sensitive.

See also:
  setCaseSensitiveTags()

virtual void TQextScintillaLexerHTML::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

virtual void TQextScintillaLexerHTML::setFoldPreprocessor | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then preprocessor blocks can be folded. The default is false.

See also:
  foldPreprocessor()

virtual void TQextScintillaLexerHTML::setCaseSensitiveTags | ( | bool | sens | ) | `[virtual, slot]`

If sens is true then tags are case sensitive. The default is false.

See also:
  caseSensitiveTags()

bool TQextScintillaLexerHTML::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerHTML::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.